import { register } from './vendor/lrn';

LearnosityAmd.define([
    'underscore'
], function (
    _
) {
    // Register Learnosity exposed libraries into LRN util object of vendor/lrn
    register({
        _
    });

    // Use require instead of import to ensure by the time we resolve the module "scorer",
    // Learnosity dependencies have been attached to LRN utils in vendor/lrn
    const bundle = require('./scorer/scorer');

    return {
        Scorer: bundle.default
    };
});
